<div class="dropzone" appDropZone (hovered)="toggleHover($event)" (dropped)="startUpload($event)" [class.hovering]="isHovering">
  <h3>Drag and drop your file here</h3>
  <div class="file">
    <label class="file-label">
    </label>
  </div>
</div>
<div *ngIf="percentage | async as pct" align="center" style="margin: 15px">
  <mat-progress-bar mode="determinate" [value]="pct"></mat-progress-bar>
</div>
<div *ngIf="snapshot | async as snap" align="center">
  {{ snap.bytesTransferred | fileSize }} of {{ snap.totalBytes | fileSize }} uploaded
  <button (click)="task.pause()" mat-flat-button color="primary" class="button is-warning" [disabled]="!isActive(snap)">Pause</button>
  <button (click)="task.cancel()" mat-flat-button color="warn" class="button is-danger" [disabled]="!isActive(snap)">Cancel</button>
  <button (click)="task.resume()" mat-flat-button color="primary" class="button is-info" [disabled]="!(snap?.state === 'paused')">Resume</button>
</div>
